### Method

# Foundry TerminalService launch

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_terminal_service_launch (
      FoundryTerminalService* self,
      FoundryTerminalLauncher* lancher
    )

#### Description [src]

Requests that a new terminal be launched.

This function will create a `FoundryTerminalIntent` which the application may handle to show a terminal.

Available since: 1.1

#### Parameters

`lancher`

  Type: `FoundryTerminalLauncher`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value if succesfull; otherwise rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.